CREATE PROCEDURE [dbo].[GetPlaneSupplier](@DATEFROM VARCHAR(15), @DATETO VARCHAR(15), @LMROS VARCHAR(5), @DOCK VARCHAR(10))
AS
BEGIN
DECLARE @FROM VARCHAR(20), @TO VARCHAR(20)

--SELECT @FROM = COALESCE(@FROM + '', '') + CAST(s AS VARCHAR) FROM [dbo].fnSplitString(@DATEFROM,'/')
--SET @FROM = SUBSTRING(@FROM,5,4) + SUBSTRING(@FROM,1,2) + SUBSTRING(@FROM,3,2)

--SELECT @TO = COALESCE(@TO + '', '') + CAST(s AS VARCHAR) FROM [dbo].fnSplitString(@DATETO,'/')
--SET @TO = SUBSTRING(@TO,5,4) + SUBSTRING(@TO,1,2) + SUBSTRING(@TO,3,2)

select @FROM = cast(@DATEFROM AS DATE)
select @TO = cast(@DATETO AS DATE)



SELECT DISTINCT
--A.LMROS [P_LANE],
--A.CRCVLDCKCD [RCVDOCK],
A.CSUPLLOGPTCD + '-' + A.CSUPLPLNTCD + CASE WHEN A.CSUPLDCKCD <> '' THEN '-' + A.CSUPLDCKCD ELSE '' END [SUPPID], 
B.SUPPLIER_ABBREVIATION SUP_ABBR,
CONVERT(CHAR(5), A.DHNDSTRTIME, 108) PLANE_IN,
CONVERT(VARCHAR(5), DATEADD(minute, -15, DATEADD(hh, -7, A.DHNDSTRTIME)), 108)
FROM TB_R_PLANE A
INNER JOIN TB_M_SUPPLIER B ON B.SUPPLIER_CODE = RIGHT(REPLICATE('0',4) + CAST(A.CSUPLLOGPTCD AS VARCHAR(4)),4) 
AND B.SUPPLIER_PLANT_CD = A.CSUPLPLNTCD
WHERE CRCVLDCKCD = @DOCK 
--AND DORDDATE >= @FROM AND DORDDATE <= @TO 
AND CAST(DORDDATE AS DATE) IN (@FROM, @TO)

AND LMROS = @LMROS
ORDER BY CONVERT(VARCHAR(5), DATEADD(minute, -15, DATEADD(hh, -7, A.DHNDSTRTIME)), 108) ASC
END

